import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _SCNNode } from "./SCNNode.js";
import type { SCNVector3 } from "../structs/SCNVector3.js";
export declare class _SCNPhysicsVehicleWheel extends _NSObject {
    static alloc(): _SCNPhysicsVehicleWheel;
    static new(): _SCNPhysicsVehicleWheel;
    init(): _SCNPhysicsVehicleWheel;
    /** Initializes and returns a wheel. */
    static wheelWithNode$(node: _SCNNode): _SCNPhysicsVehicleWheel;
    /** The node of the receiver. */
    node(): _SCNNode;
    /** The wheel suspension stiffness. Defaults to 2.0. */
    suspensionStiffness(): number;
    setSuspensionStiffness$(value: number): void;
    /** The wheel suspension compression. Defaults to 4.4. */
    suspensionCompression(): number;
    setSuspensionCompression$(value: number): void;
    /** The wheel suspension damping. Defaults to 2.3. */
    suspensionDamping(): number;
    setSuspensionDamping$(value: number): void;
    /** The wheel maximum suspension travel in centimeters. Defaults to 500. */
    maximumSuspensionTravel(): number;
    setMaximumSuspensionTravel$(value: number): void;
    /** The wheel friction slip coefficient. Defaults to 1. */
    frictionSlip(): number;
    setFrictionSlip$(value: number): void;
    /** The wheel maximum suspension force in newtons. Defaults to 6000. */
    maximumSuspensionForce(): number;
    setMaximumSuspensionForce$(value: number): void;
    /**
     * The wheel connection point relative to the chassis. Defaults to the node position.
     */
    connectionPosition(): SCNVector3;
    setConnectionPosition$(value: SCNVector3): void;
    /** The wheel steering axis in the vehicle chassis space. Defaults to (0,-1,0). */
    steeringAxis(): SCNVector3;
    setSteeringAxis$(value: SCNVector3): void;
    /** The wheel axle in the vehicle chassis space. Defaults to (-1,0,0). */
    axle(): SCNVector3;
    setAxle$(value: SCNVector3): void;
    /**
     * The wheel radius. Defaults to the half of the max dimension of the bounding box of the node.
     */
    radius(): number;
    setRadius$(value: number): void;
    /** The wheel suspension rest length. Defaults to 1.6. */
    suspensionRestLength(): number;
    setSuspensionRestLength$(value: number): void;
}
export interface _SCNPhysicsVehicleWheel extends _NSCopying, _NSSecureCoding {
}
